package com.ruoyi.ehsIndexStatistics.service;

import com.ruoyi.ehsIndexStatistics.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface EhsIndexStatisticsService {

    EhsIndexStatistics getEhsIndexStatistics();
    EhsIndexStatistics getSuperviseAndHandle();

    List<EhsIndexStatistics> getEhsIndexStatisticsList();
    List<HiddenDangerVo> getHiddenDangerVoList(HiddenDangerVo vo);

    /**
     * 按行政区域统计
     */
    List<HiddenDangerStatisticsVo> getHiddenDangerSituationList(Date targetTime);
    /**
     * 按上报部门统计
     */
    List<HiddenDangerByEnterpriseVo> getHiddenDangerSituationByEnterpriseNameList(Date targetTime);
    /**
     * 上报隐患排名
     */
    List<HiddenDangerRankVo> getHiddenDangerRankVoList();
    List<HiddenDangerRankVo> getHiddenDangerRankVoByDeptIdList(Date targetTime);
    List<Map<String,Object>> getEnterpriseMapList(Date targetTime);
    List<Map<String,Object>> geteconomicTypeMapList(Date targetTime);
    List<Map<String,Object>> getenterpriseScaleMapList(Date targetTime);
    List<Map<String,Object>> getHiddenDangerTypeMapList();
    List<Map<String,Object>> getHiddenDangerDataMapList(String yearStr);
    List<Map<String,Object>> getHiddenDangerStatusMapList(Date targetTime);
}
